org.apache.nutch.indexer

## Class IndexerOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<java.lang.String,NutchDocument>
  - - org.apache.nutch.indexer.IndexerOutputFormat

-     public class IndexerOutputFormat
      extends OutputFormat<java.lang.String,NutchDocument>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexerOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOutputSpecs(JobContext jobContext)`
    `OutputCommitter` | `getOutputCommitter(TaskAttemptContext arg0)`
    `RecordWriter<java.lang.String,NutchDocument>` | `getRecordWriter(TaskAttemptContext job)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexerOutputFormat

          public IndexerOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<java.lang.String,NutchDocument> getRecordWriter(TaskAttemptContext job)
                                                                       throws java.io.IOException,
                                                                              java.lang.InterruptedException

      Specified by:
        `getRecordWriter` in class `OutputFormat<java.lang.String,NutchDocument>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### checkOutputSpecs

          public void checkOutputSpecs(JobContext jobContext)
                                throws java.io.IOException,
                                       java.lang.InterruptedException

      Specified by:
        `checkOutputSpecs` in class `OutputFormat<java.lang.String,NutchDocument>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### getOutputCommitter

          public OutputCommitter getOutputCommitter(TaskAttemptContext arg0)
                                             throws java.io.IOException,
                                                    java.lang.InterruptedException

      Specified by:
        `getOutputCommitter` in class `OutputFormat<java.lang.String,NutchDocument>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation